const {SlashCommandBuilder, EmbedBuilder} = require("discord.js");

module.exports = {
    category: 'info',
    data: new SlashCommandBuilder()
        .setName('info')
        .setDescription('Obtenir les informations du bot'),
    async execute(interaction) {

        const embed = new EmbedBuilder()
            .setTitle('📝 Informations du Bot')
            .setColor('DarkVividPink')
            .addFields(
                {
                    name: '📦 Version',
                    value: 'v1.0.0',
                    inline: true
                },
                {
                    name:'👩‍💻 Développeuse Principale',
                    value:'<@361526553940721684>',
                    inline: true
                },

                {
                    name: '🧠 Langages et environnement',
                    value: [
                        '• **Langage :** <:javascript:1425179797692092506> JavaScript (ECMAScript 2024)',
                        '• **Backend :** <:nodejs:1425179878252089435> Node.js v22.20.0',
                        '• **Librairies :** <:discordjs:1425179852536938670> Discord.js v14.22',
                        '• **IDE :** <:webstorm:1429190717066055841> JetBrains WebStorm 2025.2.3',
                ].join('\n'),
                    inline: false
                },
                {
                    name: '💡 Date de création',
                    value: '20 Août 2025'
                },
                {
                    name: '⏱️ Uptime',
                    value: `${Math.floor(process.uptime()/3600)}h ${Math.floor(process.uptime()%3600/60)}m`,
                    inline: true
                }

            )
            .setFooter({
                text: 'Fembot • Made with love by Syxpi 💞',
                iconURL: interaction.client.user.displayAvatarURL()
            })

        await interaction.reply({ embeds: [embed] });
    },
};